"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application = require("application");
var urlhandler_common_1 = require("./urlhandler.common");
var urlhandler_common_2 = require("./urlhandler.common");
exports.handleOpenURL = urlhandler_common_2.handleOpenURL;
var lastReceivedData = null;
function handleIntent(intent) {
    var data = intent.getData();
    if (data !== lastReceivedData) {
        try {
            if (new String(intent.getAction()).valueOf() === new String(android.content.Intent.ACTION_VIEW).valueOf()) {
                application.android.on(application.AndroidApplication.activityResultEvent, function (eventData) {
                    urlhandler_common_1.getCallback()(urlhandler_common_1.extractAppURL(data));
                    lastReceivedData = data;
                });
            }
        }
        catch (e) {
            console.error('Unknown error during getting App URL data', e);
        }
    }
}
application.android.on(application.AndroidApplication.activityStartedEvent, function (args) {
    handleIntent(args.activity.getIntent());
});
application.android.on(application.AndroidApplication.activityResumedEvent, function (args) {
    handleIntent(args.activity.getIntent());
});
